Class V2JsonBody.PayloadTooLargeException
java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.codelibs.fess.api.v2.handlers.V2JsonBody.PayloadTooLargeException
- All Implemented Interfaces:
Serializable
- Enclosing class:
V2JsonBody
Thrown when the request body exceeds the configured maximum byte size.
Handlers should map this to a
413 Payload Too Large envelope error.- See Also:
-
Constructor Summary
ConstructorsConstructorDescriptionCreates the exception with a diagnostic message. -
Method Summary
Methods inherited from class java.lang.Throwable
addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString
-
Constructor Details
-
PayloadTooLargeException
Creates the exception with a diagnostic message.- Parameters:
m- human-readable description of the size violation
-